#ifndef HOSTWIN32_H_
#define HOSTWIN32_H_

#include <windows.h>

//TODO split into HostGeneric and HostXXX, some stuff will be constant.

#ifdef __cplusplus
extern "C" {
#endif
//////////////////////////////////////////////////////////////////////////
// configurable logging

typedef void (*Host_LogOutputCallbackFn)(const char *str);

void Host_SetLogOutputCallback(Host_LogOutputCallbackFn callback);
#ifdef __cplusplus
}
#endif


#include "HostTmr.h"
#include "HostGfx.h"
#include "HostSnd.h"
#include "HostInp.h"

#endif

