#ifndef bbcCMOS_H_
#define bbcCMOS_H_

class bbcCmos {
public:
	static void Init();

	//Set inputs.
	static void SetRw(bool high);
	static void SetCe(bool high);
	static void SetDs(bool high);
	static void SetAs(bool high);
	static void SetDataPins(t65::byte pins);

	//Get inputs
	static t65::byte DataPins();

	static void SetTime(int sec,int min,int hr24,int weekday,int day,int month,int year);
//
//	static void SetInputs(bool ds,bool as,bool is_rd,bool chipen,t65::byte pins);
//	static t65::byte Read();
protected:
private:
	bbcCmos();

	static t65::byte addr_;
	static t65::byte contents_[64];

	static int sec_,min_,hr24_,weekday_,day_,month_,year_;
	static bool is_24_hr_;
	static bool is_bcd_;
	static int *const clock_registers_[10];

	static t65::dword ds_history_,as_history_;
	static bool is_rd_op_,ce_;
};

inline void bbcCmos::SetDs(bool high) {
	ds_history_<<=1;
	ds_history_|=high?1:0;//avoid warning
}

inline void bbcCmos::SetAs(bool high) {
	as_history_<<=1;
	as_history_|=high?1:0;//avoid warning
}

inline void bbcCmos::SetCe(bool high) {
	ce_=/*!*/high;
}

inline void bbcCmos::SetRw(bool high) {
	is_rd_op_=high;
}

#endif
