#include "pch.h"
#include "mbApp.h"
#include "mbTestMode.h"

wxString mbApp::GetAppName() const {
	return "model-b";
}

bool mbApp::OnInit() {
#ifdef TEST_MODE
	mbTestModeRun();
	return false;
#endif

	wxInitAllImageHandlers();
	std::vector<wxString> args;
	std::copy(&this->argv[1],&this->argv[this->argc],std::back_inserter(args));

	bbcComputer::Init();

	frame_=new mbMainFrame(args);
	if(!frame_->Ok()) {
		return false;
	}
	frame_->Show(true);

	return true;
}

mbMainFrame *mbApp::MainFrame() const {
	return frame_;
}

int mbApp::OnExit() {
	frame_=0;
	return 0;
}

IMPLEMENT_APP(mbApp)
