#ifndef MBVIDEOCONFIGDIALOG_H_
#define MBVIDEOCONFIGDIALOG_H_

#include "mbConfig.h"

class mbVideoConfigDialog:
public wxDialog
{
public:
	mbVideoConfigDialog(wxWindow *parent,const mbVideoConfig &cfg,const int *hostgfx_rates);

	void GetResult(mbVideoConfig *cfg);
protected:
private:
	DECLARE_EVENT_TABLE();

	mbVideoConfig cfg_;
	
	wxComboBox *hz_cb_;
	
	std::vector<int> freqs_;

	wxString width_,height_;
	wxString cleanup_freq_;
	wxString display_freq_;

	wxBoxSizer *NumberEntryBox(const wxString &caption,wxString *var);
	wxStaticBoxSizer *StaticBox(const wxString &caption,const std::vector<wxObject *> &contents);
	void OnOk(wxCommandEvent &event);
};

#endif
