#include <windows.h>
#include "HostTmr.h"

void HostTmr_Start() {
}

void HostTmr_Stop() {
}

void HostTmr_ReadMilliseconds(int *value) {
	*value=GetTickCount();
}

void HostTmr_ReadHf(HostTmr_HfValue *value) {
	QueryPerformanceCounter((LARGE_INTEGER *)value);
}

int HostTmr_GetHfFrequency(HostTmr_HfValue *frequency) {
	LARGE_INTEGER qpf;
	if(!QueryPerformanceFrequency(&qpf)) {
		return 0;
	}
	*frequency=qpf.QuadPart;
	return 1;
}
