#include "pch.h"
#include "bbcModelBWatford.h"

const bbcReadMmioFn bbcModelBWatfordConfig::romsel_read_fn=&bbcComputer::ReadRomSelBWatford;//only present to satisfy the bbcModelGeneric template
const bbcWriteMmioFn bbcModelBWatfordConfig::romsel_write_fn=&bbcComputer::WriteRomSelBWatford;//only present to satisfy the bbcModelGeneric template

const bbcModelBWatford bbcModelBWatford::model;

const bbcMmioFnInit *bbcModelBWatford::ExtraMmioFns() const {
	static const bbcMmioFnInit mmio_fns_[]={
		{0xfe30,16,&bbcComputer::ReadRomSelBWatford,&bbcComputer::WriteRomSelBWatford},
		{0xff30,16,0,&bbcComputer::WriteWatfordRomBoard},
		{0,0},
	};

	return mmio_fns_;
}
