#ifndef MBDISCINTERFACE_H_
#define MBDISCINTERFACE_H_

#include <bbc1770Interface.h>

struct mbDiscInterface {
	const char *short_name;
	const char *long_name;
	const bbc1770Interface *iface;
};

const mbDiscInterface *mbDiscInterfaceFromShortName(const wxString &short_name);
void mbDiscInterfaceGetAll(std::vector<const mbDiscInterface *> *all_interfaces);

#endif