#ifndef mbKEYMAP_H_
#define mbKEYMAP_H_

#include <vector>

struct mbKeymap {
	struct Key {
		wxString device;
		wxString key;

		Key();
		Key(const wxString &device,const wxString &key);
	};
	//static mbKeymap &DefaultKeymap();

	mbKeymap();
	mbKeymap(const wxString &name_in);

	wxString name;
	
	typedef std::vector<Key> HostKeys;//PC Key List
	//This maps BBC key to the list of PC keys that affect it.
	//This is done so each BBC key is touched once, regardless of how many
	//PC keys affect it.
	HostKeys keymap[256];
	
	typedef std::vector<mbKeymap> C;
};

#endif
